FreeMat

- Main Page
- Related Pages

vtkPieceRequestFilter

Section: Visualization Toolkit Parallel Classes

# Usage

Sends the piece and number of pieces to upstream filters; passes the input to the output unmodified.

To create an instance of class vtkPieceRequestFilter, simply invoke its constructor as follows

      obj = vtkPieceRequestFilter

# Methods

The class vtkPieceRequestFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPieceRequestFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPieceRequestFilter = obj.NewInstance ()`
- `vtkPieceRequestFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfPieces (int )` - The total number of pieces.
- `int = obj.GetNumberOfPiecesMinValue ()` - The total number of pieces.
- `int = obj.GetNumberOfPiecesMaxValue ()` - The total number of pieces.
- `int = obj.GetNumberOfPieces ()` - The total number of pieces.
- `obj.SetPiece (int )` - The piece to extract.
- `int = obj.GetPieceMinValue ()` - The piece to extract.
- `int = obj.GetPieceMaxValue ()` - The piece to extract.
- `int = obj.GetPiece ()` - The piece to extract.
- `vtkDataObject = obj.GetOutput ()` - Get the output data object for a port on this algorithm.
- `vtkDataObject = obj.GetOutput (int )` - Get the output data object for a port on this algorithm.
- `obj.SetInput (vtkDataObject )` - Set an input of this algorithm.
- `obj.SetInput (int , vtkDataObject )` - Set an input of this algorithm.